@echo off
TITLE Guitar Hero III Song Importer
echo Type the name of the input file (i.e. input.txt)
set /p fileName=
FOR /f "delims=, eol=; tokens=1,2,3" %%G IN (%fileName%) DO (call :start %%G %%H %%I)

echo removing temporary files
echo rd /s /q "%tempDir%"

GOTO :eof

:start
set path=%2
if [%3] NEQ [] (set path=%2 %3) ELSE GOTO :importName
if [%4] NEQ [] (set path=%2 %3 %4) ELSE GOTO :importName
if [%5] NEQ [] (set path=%2 %3 %4 %5) ELSE GOTO :importName
if [%6] NEQ [] (set path=%2 %3 %4 %5 %6) ELSE GOTO :importName
if [%7] NEQ [] (set path=%2 %3 %4 %5 %6 %7) ELSE GOTO :importName
if [%8] NEQ [] (set path=%2 %3 %4 %5 %6 %7 %8) ELSE GOTO :importName
if [%9] NEQ [] (set path=%2 %3 %4 %5 %6 %7 %8 %9)

:importName
set import=%3
if [%4] NEQ [] (set import=%3 %4) ELSE GOTO :inputPath
if [%5] NEQ [] (set import=%3 %4 %5) ELSE GOTO :inputPath
if [%6] NEQ [] (set import=%3 %4 %5 %6) ELSE GOTO :inputPath
if [%7] NEQ [] (set import=%3 %4 %5 %6 %7) ELSE GOTO :inputPath
if [%8] NEQ [] (set import=%3 %4 %5 %6 %7 %8) ELSE GOTO :inputPath
if [%9] NEQ [] (set import=%3 %4 %5 %6 %7 %8 %9) ELSE GOTO :inputPath
if [%10] NEQ [] (set import=%3 %4 %5 %6 %7 %8 %9 %10)

:inputPath
if %1 EQU 1 set goldwavePath=%path%
if %1 EQU 2 set fsbankPath=%path%
if %1 EQU 3 set StdDatEdit=%path%
if %1 EQU 4 set wadDir=%path%
if %1 EQU 5 set songsDir=%path%
if %1 EQU 6 set tempDir=%path%
if %1 EQU 7 set oggPath=%path%
if %1 EQU 8 set chartPath=%path%
if %1 GEQ 9 call :importNewSong %2
GOTO :eof

:importNewSong
echo %import% replacing %1
echo ___
set songName=%1
set importDir=%tempDir%\%import%
if not exist "%tempDir%" mkdir "%tempDir%"
if not exist "%wadDir%" mkdir "%wadDir%"
mkdir "%importDir%"
cd "%importDir%"
copy "%songsDir%\%import%\*"
if not exist "%importDir%\guitar.ogg" copy "%oggPath%\guitar.ogg" "%importDir%\guitar.ogg"
if not exist "%importDir%\rhythm.ogg" copy "%oggPath%\rhythm.ogg" "%importDir%\rhythm.ogg"
if exist "%importDir%\*.wav"  echo deleting previous WAV files
if exist "%importDir%\*.wav" del "%importDir%\*.wav"

:renameChart
echo Renaming and Moving .chart file
copy %songsDir%\%import%\notes.chart %chartPath%\%songName%.chart"




echo ________
echo ________
GOTO :eof 